version: '3.4'
services:
  plume:
    image: superboum/plume:v1
    env_file:
      - plume.env
    depends_on:
      - consul
      - postgres
    ports:
      - "7878:7878"

  postgres:
    image: postgres:9.6.19
    environment:
      - POSTGRES_DB=plume
      - POSTGRES_USER=plume
      - POSTGRES_PASSWORD=plume

  bottin:
    image: lxpz/bottin_amd64:14
    depends_on:
      - consul
    volumes:
      - ./bottin.json:/config.json

  consul:
    image: consul:1.8.4
